clan::ZipFileEntry Class Reference - ClanLib SDK
Description: clan::ZipFileEntry Class Reference

Public Member Functions | Friends | List of all members
clan::ZipFileEntry Class Reference
clanCore I/O Data

File entry in zip file. More...

`#include <zip_file_entry.h>`

## Public Member Functions
| ZipFileEntry ()
| ZipFileEntry (const ZipFileEntry &copy)
| Constructs a ZipFileEntry.
| ~ZipFileEntry ()
std::string | get_archive_filename () const
| Returns the filename of file entry.
int64_t | get_compressed_size ()
| Returns the compressed size of file entry.
std::string | get_input_filename () const
| Returns the filename of file entry.
int64_t | get_uncompressed_size ()
| Returns the uncompressed size of file entry.
bool | is_directory () const
| Is Directory.
ZipFileEntry & | operator= (const ZipFileEntry &copy)
| Copy assignment operator.
void | set_archive_filename (const std::string &filename)
| Sets the filename of the file inside the archive.
void | set_directory (bool is_directory)
| Set directory.
void | set_input_filename (const std::string &filename)
| Sets the filename of the file to be added to the archive.

## Friends
class | ZipArchive
class | ZipIODevice_FileEntry

## Detailed Description

File entry in zip file.

## Constructor & Destructor Documentation

## ◆ ZipFileEntry() [1/2]

clan::ZipFileEntry::ZipFileEntry | ( |  | ) |

Referenced by ZipFileEntry(), and operator=().

## ◆ ZipFileEntry() [2/2]

clan::ZipFileEntry::ZipFileEntry | ( | const ZipFileEntry & | copy | ) |

Constructs a ZipFileEntry.

Parameters

  copy | = Zip File Entry

References ZipFileEntry().

## ◆ ~ZipFileEntry()

clan::ZipFileEntry::~ZipFileEntry | ( |  | ) |

## Member Function Documentation

## ◆ get_archive_filename()

std::string clan::ZipFileEntry::get_archive_filename | ( |  | ) | const

Returns the filename of file entry.

## ◆ get_compressed_size()

int64_t clan::ZipFileEntry::get_compressed_size | ( |  | ) |

Returns the compressed size of file entry.

## ◆ get_input_filename()

std::string clan::ZipFileEntry::get_input_filename | ( |  | ) | const

Returns the filename of file entry.

## ◆ get_uncompressed_size()

int64_t clan::ZipFileEntry::get_uncompressed_size | ( |  | ) |

Returns the uncompressed size of file entry.

## ◆ is_directory()

bool clan::ZipFileEntry::is_directory | ( |  | ) | const

Is Directory.

Returns
  true = directory

Referenced by set_directory().

## ◆ operator=()

ZipFileEntry & clan::ZipFileEntry::operator= | ( | const ZipFileEntry & | copy | ) |

Copy assignment operator.

References ZipFileEntry().

## ◆ set_archive_filename()

void clan::ZipFileEntry::set_archive_filename | ( | const std::string & | filename | ) |

Sets the filename of the file inside the archive.

## ◆ set_directory()

void clan::ZipFileEntry::set_directory | ( | bool | is_directory | ) |

Set directory.

Parameters

  is_directory | = bool

References is_directory().

## ◆ set_input_filename()

void clan::ZipFileEntry::set_input_filename | ( | const std::string & | filename | ) |

Sets the filename of the file to be added to the archive.

## Friends And Related Symbol Documentation

## ◆ ZipArchive

friend class ZipArchive
| friend

References ZipArchive.

Referenced by ZipArchive.

## ◆ ZipIODevice_FileEntry

friend class ZipIODevice_FileEntry
| friend

References ZipIODevice_FileEntry.

Referenced by ZipIODevice_FileEntry.

The documentation for this class was generated from the following file:

- zip_file_entry.h